﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Engine;

namespace OpcLabs.EasyOpcFactory.UA.Engine
{
    static public class UASmartClientIsolatorInstances
    {
        [NotNull]
        static public UASmartClientIsolator Instance1 => new UASmartClientIsolator
        {
            DiscoveryParameters = UADiscoveryParametersInstances.Instance1,
            HostParameters = UAHostParametersInstances.Instance1,
            MonitoredItemParameters = UAClientMonitoredItemParametersInstances.Instance1,
            SessionParameters = UASmartSessionParametersInstances.Instance1,
            SubscriptionParameters = UAClientSubscriptionParametersInstances.Instance1,
        };
    }
}
